MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027801Community[OCCT] OCCT:Configurationpublic2016-08-23 12:272016-12-09 16:38
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMinGW-W64OSWindowsOS Version7
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027801: Configuration - fix compilation of Standard.cxx when using MinGW-W64
DescriptionSince commit c58b1b6257e34727f87839fd1d935ccbaf484607 it is not possible anymore to compile OCCT with MinGW-W64 5.2.0.

The additional condition "&& defined(__i386)" is false for 64 bit compilation. The condition "&& defined(__x86_64)" would be true. Modifying the condition to "&& (defined(__i386) || defined(__x86_64))) seems to solve the problem here.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0027754closedbugmaster Open CASCADE Configuration - fix compilation of Standard.cxx on non-x86 desktop systems 

-  Notes
(0056959)
git (administrator)
2016-08-23 13:12

Branch CR27801 has been created by kgv.

SHA-1: e2104c0534d33bed1bdd3a1fd7586fe074bbcfbb


Detailed log of new commits:

Author: kgv
Date: Tue Aug 23 13:12:26 2016 +0300

    0027801: Configuration - fix compilation of Standard.cxx on when using MinGW-W64
(0056960)
git (administrator)
2016-08-23 13:13

Branch CR27801 has been updated forcibly by kgv.

SHA-1: 780d895230f1aff2498e8aaea5a80ac6fee5e809
(0056968)
git (administrator)
2016-08-23 15:01

Branch CR27801 has been updated forcibly by kgv.

SHA-1: 88b393acb8b1dc938aff3cc3e78d8823a4854c2f
(0056969)
kgv (developer)
2016-08-23 15:02

Please check compilation, regression testing is not needed.
(0057022)
apv (tester)
2016-08-24 13:20

Dear BugMaster,

Branch CR27801 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 88b393acb8b1dc938aff3cc3e78d8823a4854c2f

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1139
(0057121)
git (administrator)
2016-08-26 16:21

Branch CR27801 has been deleted by inv.

SHA-1: 88b393acb8b1dc938aff3cc3e78d8823a4854c2f

- Related Changesets
occt: master 94afca11
Timestamp: 2016-08-23 12:00:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027801: Configuration - fix compilation of Standard.cxx when using MinGW-W64
mod - src/OSD/OSD_signal.cxx Diff ] File ]
mod - src/Standard/Standard.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-23 12:27 BenjaminBihler New Issue
2016-08-23 12:27 BenjaminBihler Assigned To => kgv
2016-08-23 12:42 kgv Relationship added child of 0027754
2016-08-23 13:09 kgv Summary Compilation with MinGW-W64 fails => Configuration - fix compilation of Standard.cxx on when using MinGW-W64
2016-08-23 13:12 git Note Added: 0056959
2016-08-23 13:13 kgv Summary Configuration - fix compilation of Standard.cxx on when using MinGW-W64 => Configuration - fix compilation of Standard.cxx when using MinGW-W64
2016-08-23 13:13 git Note Added: 0056960
2016-08-23 15:01 git Note Added: 0056968
2016-08-23 15:02 kgv Note Added: 0056969
2016-08-23 15:02 kgv Assigned To kgv => bugmaster
2016-08-23 15:02 kgv Severity minor => trivial
2016-08-23 15:02 kgv Status new => resolved
2016-08-23 15:03 kgv Status resolved => reviewed
2016-08-23 18:14 apv Assigned To bugmaster => apv
2016-08-24 13:20 apv Note Added: 0057022
2016-08-24 13:20 apv Assigned To apv => bugmaster
2016-08-24 13:20 apv Status reviewed => tested
2016-08-24 13:20 apv Test case number => Not needed
2016-08-26 11:53 bugmaster Changeset attached => occt master 94afca11
2016-08-26 11:53 bugmaster Status tested => verified
2016-08-26 11:53 bugmaster Resolution open => fixed
2016-08-26 16:21 git Note Added: 0057121
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker